# Class DataGridRowDefDirective<T>

#### Type Parameters

- T extends Record<string, any>

- Defined in lib/data-grid-row-def.directive.ts:14

#####
Index

### Constructors

constructor

### Properties

cell?
data
editCell?
flip
headerCell?
name?

### Accessors

isSubHeader

## Constructors

### constructor

- new DataGridRowDefDirective<T>(): DataGridRowDefDirective<T>

- #### Type Parameters

  - T extends Record<string, any>

  #### Returns DataGridRowDefDirective<T>

## Properties

### `Optional` cell

cell?: DataGridCellDefDirective<T>

- Defined in lib/data-grid-row-def.directive.ts:42

### data

data: any = null

- Defined in lib/data-grid-row-def.directive.ts:17

### `Optional` editCell

editCell?: DataGridEditCellDefDirective<T>

- Defined in lib/data-grid-row-def.directive.ts:48

### flip

flip: boolean = false

true - the header and content cell are "rotated" by 90°. The header is above the content cell and both have a colspan

flip: false

Label | Value
--- | ---
Header | Content

flip: true

Label | Value
--- | ---
Header (colspan 2) |
Content (colspan 2) |

- Defined in lib/data-grid-row-def.directive.ts:39

### `Optional` headerCell

headerCell?: DataGridHeaderCellDefDirective

- Defined in lib/data-grid-row-def.directive.ts:45

### `Optional` name

name?: string

- Defined in lib/data-grid-row-def.directive.ts:20

## Accessors

### isSubHeader

- get isSubHeader(): boolean

- #### Returns boolean

  - Defined in lib/data-grid-row-def.directive.ts:50